---
title: namespace-uri
slug: Web/XPath/Functions/namespace-uri
tags:
  - XSLT
  - XSLT_Reference
---
<p>{{ XsltRef() }}</p>

<p><br>
 The <code>namespace-uri</code> function returns a string representing the namespace URI of the first node in a given node-set.</p>

<h3 id="Syntax">Syntax</h3>

<pre class="eval">namespace-uri( [<em>node-set</em>] )
</pre>

<h3 id="Arguments">Arguments</h3>

<dl>
 <dt><code><em>node-set</em></code> (optional)</dt>
 <dd>The namespace URI of the first node in this node-set will be returned. If this argument is omitted, the current context node will be used.</dd>
</dl>

<h3 id="Returns">Returns</h3>

<p>A string representing URI of the namespace in which the given node resides.</p>

<h3 id="Notes">Notes</h3>

<ul>
 <li>If the given node does not have a specified namespace, the returned string will be an empty string.</li>
</ul>

<ul>
 <li>For nodes other than element and attribute nodes, the returned string will always be an empty string.</li>
</ul>

<h3 id="Defined">Defined</h3>

<p><a class="external" href="http://www.w3.org/TR/xpath#function-local-name">XPath 1.0 4.1</a></p>

<h3 id="Gecko_support">Gecko support</h3>

<p>Supported.</p>
